summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorAki <please@ignore.pl>2022-10-17 21:26:22 +0200
committerAki <please@ignore.pl>2022-10-17 21:26:22 +0200
commit9269bfe00cce6625411ac19d2dddd14da8f517ad (patch)
treeb76dd3bb459004ea1dbcd13af89400fccb953ccf
parentc6d4b80563ed9553b5fb77f727202b24327c6b48 (diff)
downloadstarshatter-9269bfe00cce6625411ac19d2dddd14da8f517ad.zip
starshatter-9269bfe00cce6625411ac19d2dddd14da8f517ad.tar.gz
starshatter-9269bfe00cce6625411ac19d2dddd14da8f517ad.tar.bz2
Tweaked gpg key installation and pacman config propagation
-rwxr-xr-xci/setup-arch.sh15
1 files changed, 9 insertions, 6 deletions
diff --git a/ci/setup-arch.sh b/ci/setup-arch.sh
index c6da907..62873f4 100755
--- a/ci/setup-arch.sh
+++ b/ci/setup-arch.sh
@@ -1,15 +1,18 @@
#!/bin/sh
config=/etc/pacman.conf
cache=/var/cache/pacman/pkg
+keyid=E4CA8487EDD0C757273330BD689F26A2F234129A # developer key, not available in keyservers, be cautious
if ! grep '^\[multilib\]' $config; then
- echo "[multilib]" >$config
- echo "Include = /etc/pacman.d/mirrorlist" >$config
+ echo "[multilib]" >>$config
+ echo "Include = /etc/pacman.d/mirrorlist" >>$config
fi
if ! grep '^\[ignore\]' $config; then
- echo "[ignore]" >$config
- echo 'Server = https://ftp.ignore.pl/pacman/$arch' >$config
- curl https://ftp.ignore.pl/pacman/public.gpg | pacman-key --add - # developer key, not available in keyservers
- pacman-key --lsign-key E4CA8487EDD0C757273330BD689F26A2F234129A
+ echo "[ignore]" >>$config
+ echo 'Server = https://ftp.ignore.pl/pacman/$arch' >>$config
+fi
+if ! pacman-key --finger $keyid; then
+ curl https://ftp.ignore.pl/pacman/public.gpg | pacman-key --add -
+ pacman-key --lsign-key $keyid
fi
packages=$(mktemp)
ls $cache >$packages